title: check_game
parent: Manpages
---
#Nagios check_game Plugin

    check_game v2.4.10 (nagios-plugins 2.4.10)
    Copyright (c) 1999 Ian Cass, Knowledge Matters Limited
    Copyright (c) 2002-2014 Nagios Plugin Development Team
    	<devel@nagios-plugins.org>

    This plugin tests game server connections with the specified host.

    Usage:
     check_game [-hvV] [-P port] [-t timeout] [-g game_field] [-m map_field] [-p ping_field] [-G game-time] [-H hostname] <game> <ip_address>

    Options:
     -h, --help
        Print detailed help screen
     -V, --version
        Print version information
     --extra-opts=[section][@file]
        Read options from an ini file. See
        https://www.nagios-plugins.org/doc/extra-opts.html
        for usage and examples.
     -p
        Optional port of which to connect
     gf
        Field number in raw qstat output that contains game name
     -mf
        Field number in raw qstat output that contains map name
     -pf
        Field number in raw qstat output that contains ping time
     -t, --timeout=INTEGER:<timeout state>
        Seconds before connection times out (default: 10)
        Optional ":<timeout state>" can be a state integer (0,1,2,3) or a state STRING

    Notes:
     This plugin uses the 'qstat' command, the popular game server status query tool.
     If you don't have the package installed, you will need to download it from
     http://www.activesw.com/people/steve/qstat.html before you can use this plugin.

    Send email to help@nagios-plugins.org if you have questions regarding use
    of this software. To submit patches or suggest improvements, send email to
    devel@nagios-plugins.org

