title: check_ifstatus
parent: Manpages
---
#Nagios check_ifstatus Plugin

    check_ifstatus v2.4.10 (nagios-plugins 2.4.10)
    The nagios plugins come with ABSOLUTELY NO WARRANTY. You may redistribute
    copies of the plugins under the terms of the GNU General Public License.
    For more information about these matters, see the file named COPYING.

    usage: 
    check_ifstatus -C <READCOMMUNITY> -p <PORT> -H <HOSTNAME>
    Copyright (C) 2000 Christoph Kron
    Updates 5/2002 Subhendu Ghosh
    Send email to help@nagios-plugins.org if you have questions regarding use
    of this software. To submit patches or suggest improvements, send email to
    devel@nagios-plugins.org. Please include version information with all
    correspondence (when possible, use output from the --version option of the
    plugin itself).


    check_ifstatus plugin for Nagios monitors operational 
    status of each network interface on the target host

    Usage:
       -H (--hostname)   Hostname to query - (required)
       -C (--community)  SNMP read community (defaults to public,
                         used with SNMP v1 and v2c
       -v (--snmp_version)  1 for SNMP v1 (default)
                            2 for SNMP v2c
                              SNMP v2c will use get_bulk for less overhead
                            3 for SNMPv3 (requires -U option)   -p (--port)       SNMP port (default 161)
       -I (--ifmib)      Agent supports IFMIB ifXTable.  For Cisco - this will provide
                         the descriptive name.  Do not use if you don't know what this is. 
       -x (--exclude)    A comma separated list of ifType values that should be excluded 
                         from the report (default for an empty list is PPP(23).
       -d (--exclude_ports_by_description) A comma separated list of LocIfDescr values that should be excluded 
                         from the report (default is an empty exclusion list). Done using regexp '/^arg/', ex:
                         '-d connect,test' will match with descriptions like 'testing phase' but not 'in testing'.
       -n (--unused_ports_by_name) A comma separated list of ifDescr values that should be excluded 
                         from the report (default is an empty exclusion list).
       -u (--unused_ports) A comma separated list of ifIndex values that should be excluded 
                         from the report (default is an empty exclusion list).
                         See the IANAifType-MIB for a list of interface types.
       -L (--seclevel)   choice of "noAuthNoPriv", "authNoPriv", or	"authPriv"
       -U (--secname)    username for SNMPv3 context
       -c (--context)    SNMPv3 context name (default is empty string)
       -A (--authpass)   authentication password (cleartext ascii or localized key
                         in hex with 0x prefix generated by using "snmpkey" utility
                         auth password and authEngineID
       -a (--authproto)  Authentication protocol (MD5 or SHA1)
       -X (--privpass)   privacy password (cleartext ascii or localized key
                         in hex with 0x prefix generated by using "snmpkey" utility
                         privacy password and authEngineID
       -P (--privproto)  privacy protocol (DES or AES; default: DES)
       -M (--maxmsgsize) Max message size - useful only for v1 or v2c
       -t (--timeout)    seconds before the plugin times out (default=15)
       -V (--version)    Plugin version
       -h (--help)       usage help 

    check_ifstatus v2.4.10 (nagios-plugins 2.4.10)
    The nagios plugins come with ABSOLUTELY NO WARRANTY. You may redistribute
    copies of the plugins under the terms of the GNU General Public License.
    For more information about these matters, see the file named COPYING.
