title: check_real
parent: Manpages
---
#Nagios check_real Plugin

    check_real v2.4.10 (nagios-plugins 2.4.10)
    Copyright (c) 1999 Pedro Leite <leite@cic.ua.pt>
    Copyright (c) 2000-2014 Nagios Plugin Development Team
    	<devel@nagios-plugins.org>

    This plugin tests the REAL service on the specified host.


    Usage:
    check_real -H host [-e expect] [-p port] [-w warn] [-c crit] [-t timeout] [-v]

    Options:
     -h, --help
        Print detailed help screen
     -V, --version
        Print version information
     --extra-opts=[section][@file]
        Read options from an ini file. See
        https://www.nagios-plugins.org/doc/extra-opts.html
        for usage and examples.
     -H, --hostname=ADDRESS
        Host name, IP Address, or unix socket (must be an absolute path)
     -p, --port=INTEGER
        Port number (default: 554)
     -u, --url=STRING
        Connect to this url
     -e, --expect=STRING
    String to expect in first line of server response (default: RTSP/1.)
     -w, --warning=DOUBLE
        Response time to result in warning status (seconds)
     -c, --critical=DOUBLE
        Response time to result in critical status (seconds)
     -t, --timeout=INTEGER:<timeout state>
        Seconds before connection times out (default: 10)
        Optional ":<timeout state>" can be a state integer (0,1,2,3) or a state STRING
     -v, --verbose
        Show details for command-line debugging (Nagios may truncate output)

    This plugin will attempt to open an RTSP connection with the host.
    Successul connects return STATE_OK, refusals and timeouts return
    STATE_CRITICAL, other errors return STATE_UNKNOWN.  Successful connects,
    but incorrect response messages from the host result in STATE_WARNING return
    values.

    Send email to help@nagios-plugins.org if you have questions regarding use
    of this software. To submit patches or suggest improvements, send email to
    devel@nagios-plugins.org

