title: check_imap
parent: Manpages
---
#Nagios check_imap Plugin

    check_imap v2.4.10 (nagios-plugins 2.4.10)
    Copyright (c) 1999 Ethan Galstad <nagios@nagios.org>
    Copyright (c) 1999-2014 Nagios Plugin Development Team
    	<devel@nagios-plugins.org>

    This plugin tests IMAP connections with the specified host (or unix socket).

    Usage:
    check_imap -H host -p port [-w <warning time>] [-c <critical time>] [-s <send string>]
    [-e <expect string>] [-q <quit string>][-m <maximum bytes>] [-d <delay>]
    [-t <timeout seconds>] [-r <refuse state>] [-M <mismatch state>] [-v] [-4|-6] [-j]
    [-D <warn days cert expire>[,<crit days cert expire>]] [-S <use SSL>] [-E]
    [-N <server name indication>]

    Options:
     -h, --help
        Print detailed help screen
     -V, --version
        Print version information
     --extra-opts=[section][@file]
        Read options from an ini file. See
        https://www.nagios-plugins.org/doc/extra-opts.html
        for usage and examples.
     -H, --hostname=ADDRESS
        Host name, IP Address, or unix socket (must be an absolute path)
     -p, --port=INTEGER
        Port number (default: none)
     -4, --use-ipv4
        Use IPv4 connection
     -6, --use-ipv6
        Use IPv6 connection
     -E, --escape
        Can use \n, \r, \t or \\ in send or quit string. Must come before send or quit option
        Default: nothing added to send, \r\n added to end of quit
     -s, --send=STRING
        String to send to the server
     -e, --expect=STRING
        String to expect in server response (may be repeated)
     -A, --all
        All expect strings need to occur in server response. Default is any
     -q, --quit=STRING
        String to send server to initiate a clean close of the connection
     -r, --refuse=ok|warn|crit
        Accept TCP refusals with states ok, warn, crit (default: crit)
     -M, --mismatch=ok|warn|crit
        Accept expected string mismatches with states ok, warn, crit (default: warn)
     -j, --jail
        Hide output from TCP socket
     -m, --maxbytes=INTEGER
        Close connection once more than this number of bytes are received
     -d, --delay=INTEGER
        Seconds to wait between sending string and polling for response
     -D, --certificate=INTEGER[,INTEGER]
        Minimum number of days a certificate has to be valid.
        1st is #days for warning, 2nd is critical (if not specified - 0).
     -S, --ssl
        Use SSL for the connection.
     -w, --warning=DOUBLE
        Response time to result in warning status (seconds)
     -c, --critical=DOUBLE
        Response time to result in critical status (seconds)
     -t, --timeout=INTEGER:<timeout state>
        Seconds before connection times out (default: 10)
        Optional ":<timeout state>" can be a state integer (0,1,2,3) or a state STRING
     -v, --verbose
        Show details for command-line debugging (Nagios may truncate output)

    Send email to help@nagios-plugins.org if you have questions regarding use
    of this software. To submit patches or suggest improvements, send email to
    devel@nagios-plugins.org

